
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class RG_Fill:RDShaderProcessor
  {
    public readonly CompositorEffectGraphTextureSlot output;

    public static readonly string shaderPath = 
      RDGraph.Path( "Nodes/Processors/Copy/Fill.glsl" );

    public RG_Fill( RDGraph graph ):base( graph, shaderPath )
    {
      output = new CompositorEffectGraphTextureSlot( this );

      _textureSlots.AddRange( new List<CompositorEffectGraphTextureSlot>{ output } );
    } 

    public void SetTextureSlotInput( RDGraphTextureSlotInput outputSlot )
    {
      outputSlot.ConnectTo( output );
    }
  }
}